package com.caliverse.admin.domain.batch;

import org.springframework.batch.item.ItemProcessor;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class CustomProcessor implements ItemProcessor<String, String> {
    
    @Override
    public String process(String data) throws Exception {
        log.info("Processing data: " + data);
        //data = data.toUpperCase();

        return data;

    }
    
}
